UC Heidelpay
============

INTRODUCTION
------------

This module integrates Unzer's (formerly Heidelpay) payment services with Ubercart.
It implements only the Unzer payment page integration where credit card data is entered
on the Unzer website.
Entering credit card data directly on your shop is not supported.

INSTALLATION
------------

Follow the usual module installation procedure:

http://drupal.org/documentation/install/modules-themes/modules-7

SETTINGS
--------

The settings for the UC Heidelpay module are located at:

Administer -> Store administration -> Configuration -> Payment settings

Click on the "Payment methods" section and then expand the "Unzer
Settings" fieldset to view the settings.

__GENERAL SETTINGS__

_Private key_

This is your Unzer private API key that is available in Unzer Insights.

_Order review submit button text_

Text on submit button.

_Payment message_

Here you can enter a message that will be displayed on top of the payment
page.

_Debug mode_

When enabled then debug messages will be logged to syslog.

__PAYMENT METHODS__

You can select the credit card logos that appear on the payment method
selection in checkout. Please note that this will not limit the credit
card types accepted by Unzer.

PAYMENT PARAMETERS
------------------

_Cancel order in Ubercart if cancelled during payment_

This will empty the shopper's cart if payment is cancelled.

_Payment page language_

Please enter the language code such as "en" or "de".

PAYMENT URLS
------------

_Callback URL_

The Unzer system will redirect the shopper to this URL. It should
end with "/cart/heidelpay/complete".


__Using multiple Unzer configurations__

This module supports the usage of multiple Unzer merchant accounts.
By default only one account profile is created (named "Default"). To create
more accounts select "Unzer configuration" in Ubercart's store
configuration.



TESTING
-------

You can log in to Unzer Insights at https://sbx-insights.unzer.com.
Login data is provided by Unzer on request.

You can use the following credit card numbers to test the payment service:

    Visa:       4111111111111111  123
    MasterCard: 5105105105105100  123
    Amex:       375000000000007   1234
    Diners:     375000000000001   123
    JCB:        3530111333300000  123


PAYMENT IMAGES
--------------

The payment logos in images folder were created by Matthias Slovig and
are licensed under the "Attribution 4.0 International (CC BY 4.0)" license:
https://creativecommons.org/licenses/by/4.0/
