<?php
/**
 * This file contains the allowed commercial sector items.
 *
 * Copyright (C) 2020 - today Unzer E-Com GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @link  https://docs.unzer.com/
 *
 * @package  UnzerSDK\Constants
 */
namespace UnzerSDK\Constants;

class CompanyCommercialSectorItems
{
    public const OTHER = 'OTHER';
    public const WHOLESALE_TRADE_EXCEPT_VEHICLE_TRADE = 'WHOLESALE_TRADE_EXCEPT_VEHICLE_TRADE';
    public const RETAIL_TRADE_EXCEPT_VEHICLE_TRADE = 'RETAIL_TRADE_EXCEPT_VEHICLE_TRADE';
    public const WATER_TRANSPORT = 'WATER_TRANSPORT';
    public const AIR_TRANSPORT = 'AIR_TRANSPORT';
    public const WAREHOUSING_AND_SUPPORT_ACTIVITIES_FOR_TRANSPORTATION = 'WAREHOUSING_AND_SUPPORT_ACTIVITIES_FOR_TRANSPORTATION';
    public const POSTAL_AND_COURIER_ACTIVITIES = 'POSTAL_AND_COURIER_ACTIVITIES';
    public const ACCOMMODATION = 'ACCOMMODATION';
    public const FOOD_AND_BEVERAGE_SERVICE_ACTIVITIES = 'FOOD_AND_BEVERAGE_SERVICE_ACTIVITIES';
    public const MOTION_PICTURE_PRODUCTION_AND_SIMILAR_ACTIVITIES = 'MOTION_PICTURE_PRODUCTION_AND_SIMILAR_ACTIVITIES';
    public const TELECOMMUNICATIONS = 'TELECOMMUNICATIONS';
    public const COMPUTER_PROGRAMMING_CONSULTANCY_AND_RELATED_ACTIVITIES = 'COMPUTER_PROGRAMMING_CONSULTANCY_AND_RELATED_ACTIVITIES';
    public const INFORMATION_SERVICE_ACTIVITIES = 'INFORMATION_SERVICE_ACTIVITIES';
    public const RENTAL_AND_LEASING_ACTIVITIES = 'RENTAL_AND_LEASING_ACTIVITIES';
    public const TRAVEL_AGENCY_AND_RELATED_ACTIVITIES = 'TRAVEL_AGENCY_AND_RELATED_ACTIVITIES';
    public const SERVICES_TO_BUILDINGS_AND_LANDSCAPE_ACTIVITIES = 'SERVICES_TO_BUILDINGS_AND_LANDSCAPE_ACTIVITIES';
    public const LIBRARIES_AND_SIMILAR_CULTURAL_ACTIVITIES = 'LIBRARIES_AND_SIMILAR_CULTURAL_ACTIVITIES';
    public const SPORTS_ACTIVITIES_AND_AMUSEMENT_AND_RECREATION_ACTIVITIES = 'SPORTS_ACTIVITIES_AND_AMUSEMENT_AND_RECREATION_ACTIVITIES';
    public const OTHER_PERSONAL_SERVICE_ACTIVITIES = 'OTHER_PERSONAL_SERVICE_ACTIVITIES';
    public const NON_RESIDENTIAL_REAL_ESTATE_ACTIVITIES = 'NON_RESIDENTIAL_REAL_ESTATE_ACTIVITIES';
    public const MANAGEMENT_CONSULTANCY_ACTIVITIES = 'MANAGEMENT_CONSULTANCY_ACTIVITIES';
    public const ELECTRICITY_GAS_AND_STEAM_SUPPLY = 'ELECTRICITY_GAS_AND_STEAM_SUPPLY';
    public const WATER_COLLECTION_TREATMENT_AND_SUPPLY = 'WATER_COLLECTION_TREATMENT_AND_SUPPLY';
    public const SEWERAGE = 'SEWERAGE';
    public const MANUFACTURE_OF_FOOD_PRODUCTS = 'MANUFACTURE_OF_FOOD_PRODUCTS';
    public const MANUFACTURE_OF_BEVERAGES = 'MANUFACTURE_OF_BEVERAGES';
    public const MANUFACTURE_OF_TEXTILES = 'MANUFACTURE_OF_TEXTILES';
    public const OTHERS_COMMERCIAL_SECTORS = 'OTHERS_COMMERCIAL_SECTORS';
    public const MANUFACTURE_OF_WEARING_APPAREL = 'MANUFACTURE_OF_WEARING_APPAREL';
    public const MANUFACTURE_OF_LEATHER_AND_RELATED_PRODUCTS = 'MANUFACTURE_OF_LEATHER_AND_RELATED_PRODUCTS';
    public const MANUFACTURE_OF_PHARMACEUTICAL_PRODUCTS = 'MANUFACTURE_OF_PHARMACEUTICAL_PRODUCTS';
    public const REPAIR_AND_INSTALLATION_OF_MACHINERY_AND_EQUIPMENT = 'REPAIR_AND_INSTALLATION_OF_MACHINERY_AND_EQUIPMENT';
    public const TRADE_AND_REPAIR_OF_MOTOR_VEHICLES = 'TRADE_AND_REPAIR_OF_MOTOR_VEHICLES';
    public const PUBLISHING_ACTIVITIES = 'PUBLISHING_ACTIVITIES';
    public const REPAIR_OF_COMPUTERS_AND_GOODS = 'REPAIR_OF_COMPUTERS_AND_GOODS';
    public const PRINTING_AND_REPRODUCTION_OF_RECORDED_MEDIA = 'PRINTING_AND_REPRODUCTION_OF_RECORDED_MEDIA';
    public const MANUFACTURE_OF_FURNITURE = 'MANUFACTURE_OF_FURNITURE';
    public const OTHER_MANUFACTURING = 'OTHER_MANUFACTURING';
    public const ADVERTISING_AND_MARKET_RESEARCH = 'ADVERTISING_AND_MARKET_RESEARCH';
    public const OTHER_PROFESSIONAL_SCIENTIFIC_AND_TECHNICAL_ACTIVITIES = 'OTHER_PROFESSIONAL_SCIENTIFIC_AND_TECHNICAL_ACTIVITIES';
    public const ARTS_ENTERTAINMENT_AND_RECREATION = 'ARTS_ENTERTAINMENT_AND_RECREATION';

    public const COMMERCIAL_SECTOR_ARRAY = [
        self::OTHER,
        self::WHOLESALE_TRADE_EXCEPT_VEHICLE_TRADE,
        self::RETAIL_TRADE_EXCEPT_VEHICLE_TRADE,
        self::WATER_TRANSPORT,
        self::AIR_TRANSPORT,
        self::WAREHOUSING_AND_SUPPORT_ACTIVITIES_FOR_TRANSPORTATION,
        self::POSTAL_AND_COURIER_ACTIVITIES,
        self::ACCOMMODATION,
        self::FOOD_AND_BEVERAGE_SERVICE_ACTIVITIES,
        self::MOTION_PICTURE_PRODUCTION_AND_SIMILAR_ACTIVITIES,
        self::TELECOMMUNICATIONS,
        self::COMPUTER_PROGRAMMING_CONSULTANCY_AND_RELATED_ACTIVITIES,
        self::INFORMATION_SERVICE_ACTIVITIES,
        self::RENTAL_AND_LEASING_ACTIVITIES,
        self::TRAVEL_AGENCY_AND_RELATED_ACTIVITIES,
        self::SERVICES_TO_BUILDINGS_AND_LANDSCAPE_ACTIVITIES,
        self::LIBRARIES_AND_SIMILAR_CULTURAL_ACTIVITIES,
        self::SPORTS_ACTIVITIES_AND_AMUSEMENT_AND_RECREATION_ACTIVITIES,
        self::OTHER_PERSONAL_SERVICE_ACTIVITIES,
        self::NON_RESIDENTIAL_REAL_ESTATE_ACTIVITIES,
        self::MANAGEMENT_CONSULTANCY_ACTIVITIES,
        self::ELECTRICITY_GAS_AND_STEAM_SUPPLY,
        self::WATER_COLLECTION_TREATMENT_AND_SUPPLY,
        self::SEWERAGE,
        self::MANUFACTURE_OF_FOOD_PRODUCTS,
        self::MANUFACTURE_OF_BEVERAGES,
        self::MANUFACTURE_OF_TEXTILES,
        self::OTHERS_COMMERCIAL_SECTORS,
        self::MANUFACTURE_OF_WEARING_APPAREL,
        self::MANUFACTURE_OF_LEATHER_AND_RELATED_PRODUCTS,
        self::MANUFACTURE_OF_PHARMACEUTICAL_PRODUCTS,
        self::REPAIR_AND_INSTALLATION_OF_MACHINERY_AND_EQUIPMENT,
        self::TRADE_AND_REPAIR_OF_MOTOR_VEHICLES,
        self::PUBLISHING_ACTIVITIES,
        self::REPAIR_OF_COMPUTERS_AND_GOODS,
        self::PRINTING_AND_REPRODUCTION_OF_RECORDED_MEDIA,
        self::MANUFACTURE_OF_FURNITURE,
        self::OTHER_MANUFACTURING,
        self::ADVERTISING_AND_MARKET_RESEARCH,
        self::OTHER_PROFESSIONAL_SCIENTIFIC_AND_TECHNICAL_ACTIVITIES,
        self::ARTS_ENTERTAINMENT_AND_RECREATION
    ];
}
